--print("Setting Up Requester")
setMenuRequester(menu_boxMetalWide);
setMenuButton(menu_boxMetal);

repairString1 = getString("increase post-battle repair from 50% to 66%");
repairString2 = getString("increase post-battle repair from 66% to 75%");
repairString3 = getString("increase post-battle repair from 75% to 80%");
repairString4 = getString("maxed out field repairs rock on");

if getRepairs() == 0 then
repairString = repairString1;
elseif getRepairs() == 1 then
repairString = repairString2;
elseif getRepairs() == 2 then
repairString = repairString3;
else
repairString = repairString4;
end

if getRepairs() <= 2 then
popMenuRequester(repairString, getString("yep"), getString("no way"), "setRepairs(getRepairs() + 1);" .. afterLevel, "menuUnPop()");
else
popMenuInfo(repairString, getString("okay"), "menuUnPop()");
end
